Skip to main content
`Ctrl`+`K`

# NEPSLPGetEPSLeft

Retrieve the linear eigensolver object (`EPS`) associated to the nonlinear eigenvalue solver, used to compute left eigenvectors in the two-sided variant of SLP.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPGetEPSLeft(NEP nep,EPS *eps)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- eps - the linear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPSetEPSLeft()`, `NEPSetTwoSided()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPGetEPSLeft_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages